#ifndef _PROPERTIES_H_
#define _PROPERTIES_H_

#include <map>
#include <string>

/* A Java style Properties interface */
class cProperties
{
private:
   std::map<std::string,std::string> mPropsMap;
public:
   bool load(const char * file_name);
   const char * getString(const char * key,const char * defval = NULL);
   int getInt(const char * key, int defval=0);
};

#endif //Inlcude Guard
